diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/examples/aodv-example.cc ns-3.43/src/aodv/examples/aodv-example.cc
--- ns-3.42/src/aodv/examples/aodv-example.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.43/src/aodv/examples/aodv-example.cc	2024-10-09 16:41:09.844655800 -0700
@@ -0,0 +1,253 @@
+/*
+ * Copyright (c) 2009 IITP RAS
+ *
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
+ * This is an example script for AODV manet routing protocol.
+ *
+ * Authors: Pavel Boyko <boyko@iitp.ru>
+ */
+
+#include "ns3/aodv-module.h"
+#include "ns3/core-module.h"
+#include "ns3/internet-module.h"
+#include "ns3/mobility-module.h"
+#include "ns3/network-module.h"
+#include "ns3/ping-helper.h"
+#include "ns3/point-to-point-module.h"
+#include "ns3/yans-wifi-helper.h"
+
+#include <cmath>
+#include <iostream>
+
+using namespace ns3;
+
+/**
+ * \defgroup aodv-examples AODV Examples
+ * \ingroup aodv
+ * \ingroup examples
+ */
+
+/**
+ * \ingroup aodv-examples
+ * \ingroup examples
+ * \brief Test script.
+ *
+ * This script creates 1-dimensional grid topology and then ping last node from the first one:
+ *
+ * [10.0.0.1] <-- step --> [10.0.0.2] <-- step --> [10.0.0.3] <-- step --> [10.0.0.4]
+ *
+ * ping 10.0.0.4
+ *
+ * When 1/3 of simulation time has elapsed, one of the nodes is moved out of
+ * range, thereby breaking the topology.  By default, this will result in
+ * stopping ping replies reception after sequence number 33. If the step size is reduced
+ * to cover the gap, then also the following pings can be received.
+ */
+class AodvExample
+{
+  public:
+    AodvExample();
+    /**
+     * \brief Configure script parameters
+     * \param argc is the command line argument count
+     * \param argv is the command line arguments
+     * \return true on successful configuration
+     */
+    bool Configure(int argc, char** argv);
+    /// Run simulation
+    void Run();
+    /**
+     * Report results
+     * \param os the output stream
+     */
+    void Report(std::ostream& os);
+
+  private:
+    // parameters
+    /// Number of nodes
+    uint32_t size;
+    /// Distance between nodes, meters
+    double step;
+    /// Simulation time, seconds
+    double totalTime;
+    /// Write per-device PCAP traces if true
+    bool pcap;
+    /// Print routes if true
+    bool printRoutes;
+
+    // network
+    /// nodes used in the example
+    NodeContainer nodes;
+    /// devices used in the example
+    NetDeviceContainer devices;
+    /// interfaces used in the example
+    Ipv4InterfaceContainer interfaces;
+
+  private:
+    /// Create the nodes
+    void CreateNodes();
+    /// Create the devices
+    void CreateDevices();
+    /// Create the network
+    void InstallInternetStack();
+    /// Create the simulation applications
+    void InstallApplications();
+};
+
+int
+main(int argc, char** argv)
+{
+    AodvExample test;
+    if (!test.Configure(argc, argv))
+    {
+        NS_FATAL_ERROR("Configuration failed. Aborted.");
+    }
+
+    test.Run();
+    test.Report(std::cout);
+    return 0;
+}
+
+//-----------------------------------------------------------------------------
+AodvExample::AodvExample()
+    : size(10),
+      step(50),
+      totalTime(100),
+      pcap(true),
+      printRoutes(true)
+{
+}
+
+bool
+AodvExample::Configure(int argc, char** argv)
+{
+    // Enable AODV logs by default. Comment this if too noisy
+    // LogComponentEnable("AodvRoutingProtocol", LOG_LEVEL_ALL);
+
+    SeedManager::SetSeed(12345);
+    CommandLine cmd(__FILE__);
+
+    cmd.AddValue("pcap", "Write PCAP traces.", pcap);
+    cmd.AddValue("printRoutes", "Print routing table dumps.", printRoutes);
+    cmd.AddValue("size", "Number of nodes.", size);
+    cmd.AddValue("time", "Simulation time, s.", totalTime);
+    cmd.AddValue("step", "Grid step, m", step);
+
+    cmd.Parse(argc, argv);
+    return true;
+}
+
+void
+AodvExample::Run()
+{
+    //  Config::SetDefault ("ns3::WifiRemoteStationManager::RtsCtsThreshold", UintegerValue (1)); //
+    //  enable rts cts all the time.
+    CreateNodes();
+    CreateDevices();
+    InstallInternetStack();
+    InstallApplications();
+
+    std::cout << "Starting simulation for " << totalTime << " s ...\n";
+
+    Simulator::Stop(Seconds(totalTime));
+    Simulator::Run();
+    Simulator::Destroy();
+}
+
+void
+AodvExample::Report(std::ostream&)
+{
+}
+
+void
+AodvExample::CreateNodes()
+{
+    std::cout << "Creating " << (unsigned)size << " nodes " << step << " m apart.\n";
+    nodes.Create(size);
+    // Name nodes
+    for (uint32_t i = 0; i < size; ++i)
+    {
+        std::ostringstream os;
+        os << "node-" << i;
+        Names::Add(os.str(), nodes.Get(i));
+    }
+    // Create static grid
+    MobilityHelper mobility;
+    mobility.SetPositionAllocator("ns3::GridPositionAllocator",
+                                  "MinX",
+                                  DoubleValue(0.0),
+                                  "MinY",
+                                  DoubleValue(0.0),
+                                  "DeltaX",
+                                  DoubleValue(step),
+                                  "DeltaY",
+                                  DoubleValue(0),
+                                  "GridWidth",
+                                  UintegerValue(size),
+                                  "LayoutType",
+                                  StringValue("RowFirst"));
+    mobility.SetMobilityModel("ns3::ConstantPositionMobilityModel");
+    mobility.Install(nodes);
+}
+
+void
+AodvExample::CreateDevices()
+{
+    WifiMacHelper wifiMac;
+    wifiMac.SetType("ns3::AdhocWifiMac");
+    YansWifiPhyHelper wifiPhy;
+    YansWifiChannelHelper wifiChannel = YansWifiChannelHelper::Default();
+    wifiPhy.SetChannel(wifiChannel.Create());
+    WifiHelper wifi;
+    wifi.SetRemoteStationManager("ns3::ConstantRateWifiManager",
+                                 "DataMode",
+                                 StringValue("OfdmRate6Mbps"),
+                                 "RtsCtsThreshold",
+                                 UintegerValue(0));
+    devices = wifi.Install(wifiPhy, wifiMac, nodes);
+
+    if (pcap)
+    {
+        wifiPhy.EnablePcapAll(std::string("aodv"));
+    }
+}
+
+void
+AodvExample::InstallInternetStack()
+{
+    AodvHelper aodv;
+    // you can configure AODV attributes here using aodv.Set(name, value)
+    InternetStackHelper stack;
+    stack.SetRoutingHelper(aodv); // has effect on the next Install ()
+    stack.Install(nodes);
+    Ipv4AddressHelper address;
+    address.SetBase("10.0.0.0", "255.0.0.0");
+    interfaces = address.Assign(devices);
+
+    if (printRoutes)
+    {
+        Ptr<OutputStreamWrapper> routingStream =
+            Create<OutputStreamWrapper>("aodv.routes", std::ios::out);
+        Ipv4RoutingHelper::PrintRoutingTableAllAt(Seconds(8), routingStream);
+    }
+}
+
+void
+AodvExample::InstallApplications()
+{
+    PingHelper ping(interfaces.GetAddress(size - 1));
+    ping.SetAttribute("VerboseMode", EnumValue(Ping::VerboseMode::VERBOSE));
+
+    ApplicationContainer p = ping.Install(nodes.Get(0));
+    p.Start(Seconds(0));
+    p.Stop(Seconds(totalTime) - Seconds(0.001));
+
+    // move node away
+    Ptr<Node> node = nodes.Get(size / 2);
+    Ptr<MobilityModel> mob = node->GetObject<MobilityModel>();
+    Simulator::Schedule(Seconds(totalTime / 3),
+                        &MobilityModel::SetPosition,
+                        mob,
+                        Vector(1e5, 1e5, 1e5));
+}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/examples/CMakeLists.txt ns-3.43/src/aodv/examples/CMakeLists.txt
--- ns-3.42/src/aodv/examples/CMakeLists.txt	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/examples/CMakeLists.txt	2024-10-09 16:41:09.844655800 -0700
@@ -1,6 +1,6 @@
 build_lib_example(
-  NAME aodv
-  SOURCE_FILES aodv.cc
+  NAME aodv-example
+  SOURCE_FILES aodv-example.cc
   LIBRARIES_TO_LINK
     ${libwifi}
     ${libinternet}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/helper/aodv-helper.cc ns-3.43/src/aodv/helper/aodv-helper.cc
--- ns-3.42/src/aodv/helper/aodv-helper.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/helper/aodv-helper.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>, written after OlsrHelper by Mathieu Lacage
  * <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/helper/aodv-helper.h ns-3.43/src/aodv/helper/aodv-helper.h
--- ns-3.42/src/aodv/helper/aodv-helper.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/helper/aodv-helper.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>, written after OlsrHelper by Mathieu Lacage
  * <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-dpd.cc ns-3.43/src/aodv/model/aodv-dpd.cc
--- ns-3.42/src/aodv/model/aodv-dpd.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-dpd.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *
  * Authors: Elena Buchatskaia <borovkovaes@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-dpd.h ns-3.43/src/aodv/model/aodv-dpd.h
--- ns-3.42/src/aodv/model/aodv-dpd.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-dpd.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *
  * Authors: Elena Buchatskaia <borovkovaes@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-id-cache.cc ns-3.43/src/aodv/model/aodv-id-cache.cc
--- ns-3.42/src/aodv/model/aodv-id-cache.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-id-cache.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-id-cache.h ns-3.43/src/aodv/model/aodv-id-cache.h
--- ns-3.42/src/aodv/model/aodv-id-cache.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-id-cache.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-neighbor.cc ns-3.43/src/aodv/model/aodv-neighbor.cc
--- ns-3.42/src/aodv/model/aodv-neighbor.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-neighbor.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-neighbor.h ns-3.43/src/aodv/model/aodv-neighbor.h
--- ns-3.42/src/aodv/model/aodv-neighbor.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-neighbor.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-packet.cc ns-3.43/src/aodv/model/aodv-packet.cc
--- ns-3.42/src/aodv/model/aodv-packet.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-packet.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-packet.h ns-3.43/src/aodv/model/aodv-packet.h
--- ns-3.42/src/aodv/model/aodv-packet.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-packet.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-routing-protocol.cc ns-3.43/src/aodv/model/aodv-routing-protocol.cc
--- ns-3.42/src/aodv/model/aodv-routing-protocol.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-routing-protocol.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-routing-protocol.h ns-3.43/src/aodv/model/aodv-routing-protocol.h
--- ns-3.42/src/aodv/model/aodv-routing-protocol.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-routing-protocol.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-rqueue.cc ns-3.43/src/aodv/model/aodv-rqueue.cc
--- ns-3.42/src/aodv/model/aodv-rqueue.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/model/aodv-rqueue.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-rqueue.h ns-3.43/src/aodv/model/aodv-rqueue.h
--- ns-3.42/src/aodv/model/aodv-rqueue.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/model/aodv-rqueue.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-rtable.cc ns-3.43/src/aodv/model/aodv-rtable.cc
--- ns-3.42/src/aodv/model/aodv-rtable.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/model/aodv-rtable.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/model/aodv-rtable.h ns-3.43/src/aodv/model/aodv-rtable.h
--- ns-3.42/src/aodv/model/aodv-rtable.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/model/aodv-rtable.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
@@ -84,7 +73,7 @@
 
     ~RoutingTableEntry();
 
-    ///\name Precursors management
+    /// \name Precursors management
     //\{
     /**
      * Insert precursor in precursor list if it doesn't yet exist in the list
@@ -429,7 +418,7 @@
      */
     RoutingTable(Time t);
 
-    ///\name Handle lifetime of invalid route
+    /// \name Handle lifetime of invalid route
     //\{
     /**
      * Get the lifetime of a bad link
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/test/aodv-id-cache-test-suite.cc ns-3.43/src/aodv/test/aodv-id-cache-test-suite.cc
--- ns-3.42/src/aodv/test/aodv-id-cache-test-suite.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/test/aodv-id-cache-test-suite.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/test/aodv-regression.cc ns-3.43/src/aodv/test/aodv-regression.cc
--- ns-3.42/src/aodv/test/aodv-regression.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/test/aodv-regression.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
@@ -193,7 +182,7 @@
     NetDeviceContainer devices = wifi.Install(wifiPhy, wifiMac, *m_nodes);
 
     // Assign fixed stream numbers to wifi and channel random variables
-    streamsUsed += wifi.AssignStreams(devices, streamsUsed);
+    streamsUsed += WifiHelper::AssignStreams(devices, streamsUsed);
     // Assign 6 streams per device
     NS_TEST_ASSERT_MSG_EQ(streamsUsed, (devices.GetN() * 2), "Stream assignment mismatch");
     streamsUsed += wifiChannel.AssignStreams(chan, streamsUsed);
